Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ISSearch
Class ISTerm

    java.lang.Object
      ISSearch.ISTerm

All Implemented Interfaces:
  ISTermInterface

    public class ISTerm

extends java.lang.Object
implements ISTermInterface

This mandatory class must implement all functions prescribed by `ISTermInterface`

Constructor Summary
`ISTerm()` Creates a new instance of ISTerm

Method Summary
`int` | `getPos()` This function returns the position of the word in the source document
`java.lang.String` | `getStem()` This function returns the word stem
`java.lang.String` | `getWord()` This function returns the original extracted word
`void` | `setPos(int i)` This function sets the position of the word in the source document
`void` | `setWord(java.lang.String s)` This function sets the original extracted word

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISTerm

    public ISTerm()

  Creates a new instance of ISTerm

Method Detail

### getWord

    public java.lang.String getWord()

  This function returns the original extracted word

  Specified by:
    `getWord` in interface `ISTermInterface`
  Returns:
    The word that was initially extracted from the document

### setWord

    public void setWord(java.lang.String s)

  This function sets the original extracted word

  Specified by:
    `setWord` in interface `ISTermInterface`
  Parameters:
    `The` - word (String s) that was initially extracted from the document

### getStem

    public java.lang.String getStem()

  This function returns the word stem

  Specified by:
    `getStem` in interface `ISTermInterface`
  Returns:
    The stem that was created using String.toLowerCase() and Porter stemming

### getPos

    public int getPos()

  This function returns the position of the word in the source document

  Specified by:
    `getPos` in interface `ISTermInterface`
  Returns:
    The position of this word in the source document

### setPos

    public void setPos(int i)

  This function sets the position of the word in the source document

  Specified by:
    `setPos` in interface `ISTermInterface`
  Parameters:
    `The` - position (int i) of this word in the source document

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD